# Run tests in check section
%bcond_without check

# https://github.com/census-ecosystem/opencensus-go-exporter-ocagent
%global goipath         contrib.go.opencensus.io/exporter/ocagent
%global forgeurl        https://github.com/census-ecosystem/opencensus-go-exporter-ocagent
Version:                0.4.12

%global common_description %{expand:
This repository contains the Go implementation of the OpenCensus Agent
(OC-Agent) Exporter. OC-Agent is a deamon process running in a VM that can
retrieve spans/stats/metrics from OpenCensus Library, export them to other
backends and possibly push configurations back to Library. See more details
on OC-Agent Readme.

Note: This is an experimental repository and is likely to get
backwards-incompatible changes. Ultimately we may want to move the OC-Agent Go
Exporter to OpenCensus Go core library.}

%gometa

Name:           %{goname}
Release:        1%{?dist}
Summary:        OpenCensus Go exporters for OpenCensus Agent
# Detected licences
# - *No copyright* Apache License (v2.0) at 'LICENSE'
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto/gen-go/agent/common/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto/gen-go/agent/metrics/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto/gen-go/agent/trace/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto/gen-go/metrics/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto/gen-go/resource/v1)
BuildRequires:  golang(github.com/census-instrumentation/opencensus-proto/gen-go/trace/v1)
BuildRequires:  golang(github.com/golang/protobuf/ptypes/timestamp)
BuildRequires:  golang(go.opencensus.io)
BuildRequires:  golang(go.opencensus.io/plugin/ocgrpc)
BuildRequires:  golang(go.opencensus.io/resource)
BuildRequires:  golang(go.opencensus.io/stats)
BuildRequires:  golang(go.opencensus.io/stats/view)
BuildRequires:  golang(go.opencensus.io/tag)
BuildRequires:  golang(go.opencensus.io/trace)
BuildRequires:  golang(go.opencensus.io/trace/tracestate)
BuildRequires:  golang(go.opencensus.io/zpages)
BuildRequires:  golang(google.golang.org/api/support/bundler)
BuildRequires:  golang(google.golang.org/grpc)
BuildRequires:  golang(google.golang.org/grpc/credentials)
BuildRequires:  golang(google.golang.org/grpc/metadata)

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%forgeautosetup


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md CONTRIBUTING.md


%changelog
* Thu Apr 11 23:50:43 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.12-1
- Release 0.4.12 (#1698212)

* Sat Apr 06 19:46:03 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.11-1
- Release 0.4.11 (#1696869)

* Tue Apr 02 17:24:03 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.10-1
- Release 0.4.10 (#1694918)

* Mon Mar 25 20:22:34 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.9-1
- First package for Fedora

